### Method

# Gimp Image set_file

#### Declaration [src]

    gboolean
    gimp_image_set_file (
      GimpImage* image,
      GFile* file
    )

#### Description [src]

Sets the specified image’s file.

This procedure sets the specified image’s file.

#### Parameters

`file` | `GFile`
| The new image file.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.